Skip to main content
GET
/
public
/
v2
/
gst-tax-rates
/
List GST tax rates
curl --request GET \
  --url https://api.dualentry.com/public/v2/gst-tax-rates/ \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.dualentry.com/public/v2/gst-tax-rates/"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.dualentry.com/public/v2/gst-tax-rates/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "country_code": "<string>",
      "name": "<string>",
      "rate": "<string>",
      "valid_from": "2023-12-25",
      "valid_to": "2023-12-25",
      "is_active": true,
      "is_system": true,
      "description": "<string>",
      "components": [
        {
          "id": 123,
          "rate": "<string>",
          "region": "<string>",
          "position": 123
        }
      ],
      "region": "<string>"
    }
  ],
  "count": 123
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

country_code
enum<string>[] | null
Available options:
AU,
NZ,
SG,
IN,
CA,
MY
tax_treatment
enum<string> | null
Available options:
STANDARD,
ZERO_RATED,
EXEMPT,
IMPORT_GST,
REVERSE_CHARGE,
SELF_ASSESSED,
OUT_OF_SCOPE
is_active
boolean | null
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicGstTaxRateSchemaOut · object[]
required
count
integer
required
Last modified on July 13, 2026